#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>

const int F = 1461;
typedef struct
{
	int d;
	int m;
	int y;
} 
date;

const int days[] = {0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334};

int date2day(int d, int m, int y)
{
	int p = y % 4, q = y % 100, r = y % 400;
	y--;
	int k = y / 4 + y / 400 - y / 100;
	return 365 * y + k + days[m - 1] + d + (!p && (q || !r) && m >= 3);
}

date day2date(int n)
{
	int m, y = 0, k = 0;
	while (n >= F)
	{
		y += n / F * 4;
		n %= F;
		int l = y / 100 - y / 400, t = l - k;
		if (t)
		{
			n += t;
			k = l;
		}
	}
	if (!n)
		return (date) {31, 12, y};
	y += n / 365;
	n %= 365;
	if (!n)
	{
		int p = y % 4, q = y % 100, r = y % 400;
		return (date) {!p && (q || !r) ? 30 : 31, 12, y};
	}
	y++;
	for (m = 1; n >= days[m] && m <= 12; m++)
		;
	n -= days[m - 1];
	if (!n)
	{
		m--;
		n = days[m] - days[m - 1];
	}
	int p = y % 4, q = y % 100, r = y % 400;
	if (!p && (q || !r) && m >= 3 && !--n)
		n = (--m == 2) ? 29 : days[m] - days[m - 1];
	return (date) {n, m, y};		
}

void calc_days(const char *name, int d1, int m1, int y1, int d2, int m2, int y2)
{
	const char* const strings[] = {"", "", ""};
	int r = date2day(d2, m2, y2) - date2day(d1, m1, y1);
	printf("%s (%02d.%02d.%d-%02d.%02d.%d)  %d %s\n", name, d1, m1, y1, d2, m2, y2, r,
		   strings[(int) round(sqrt(r % 10) + 0.3) % 3]);
}

//  ,     
int main()
{	
	time_t cur_t = time(0) + 10800;
	struct tm t = *gmtime(&cur_t);
	int d = t.tm_mday, m = t.tm_mon + 1, y = t.tm_year + 1900;
	printf(" %02d.%02d.%d\n %d-       ",
		   d, m, y, date2day(d, m, y));
	return 0;
}

/*
//    
int main()
{	
	int d1, m1, y1, d2, m2, y2;
	printf(" ,      ,  \n");
	scanf("%d.%d.%d", &d1, &m1, &y1);
	time_t cur_t = time(0);
	struct tm t = *localtime(&cur_t);
	d2 = t.tm_mday, m2 = t.tm_mon + 1, y2 = t.tm_year + 1900;
	const char* const strings[] = {"", "", ""};
	int r = date2day(d2, m2, y2) - date2day(d1, m1, y1);
	printf(", %02d.%02d.%d,   %d %s", d2, m2, y2, r,
		   strings[(int) round(sqrt(r % 10) + 0.3) % 3]);
	return 0;
}
*/

/*
//   ,   
int main()
{	
	calc_days(" ", 6, 6, 1799, 10, 2, 1837);
	calc_days(" ", 15, 10, 1814, 27, 7, 1841);
	calc_days(" ", 19, 7, 1893, 14, 4, 1930);
	calc_days(" ", 28, 11, 1880, 7, 8, 1921);
	calc_days(" ", 3, 10, 1895, 28, 12, 1925);
	calc_days(" ", 25, 1, 1938, 25, 7, 1980);
	calc_days(" ", 22, 1, 1788, 19, 4, 1824);
	return 0;
}
*/

/*
// ,    750000- 
int main()
{
	const int D = 750000;
	date dt = day2date(D);
	printf("  %d   %02d.%02d.%04d", D, dt.d, dt.m, dt.y);
	return 0;
}
*/

/*
// , ""  ,    
int main()
{
	int d, m, y, n;
	printf("   (,    ,  )\n");
	scanf("%d.%d.%d", &d, &m, &y);
	printf("     \n");
	scanf("%d", &n);
	date dt = day2date(date2day(d, m, y) + n);
	printf(" : %02d.%02d.%04d", dt.d, dt.m, dt.y);
	return 0;
}
*/

/*
/     ()
int main()
{
	const char* const dotw[] = {"",
								"",
								"",
								"",
								"",
								"",
								""};
	int d, m, y;
	printf("   (,    ,  )\n");
	scanf("%d.%d.%d", &d, &m, &y);
	printf(dotw[date2day(d, m, y) % 7]);
	return 0;
}
*/
